Actualizar repositorios Elive

Todo lo relacionado con la elección e instalación de las diferentes distribuciones y los problemas que se presentan durante el proceso.

Moderadores: doc, mcun

Responder
Avatar de Usuario
desmolinux
Forista Medio
Forista Medio
Mensajes: 194
Registrado: Vie Jun 04, 2010 10:14 am

Actualizar repositorios Elive

Mensaje por desmolinux »

Hola de nuevo a todos,aqui sigo viendo si mantengo el elive o me paso directamente a debian.
Resulta que elive esta basado en lenny y claro las aplicaciones que trae son un poco antiguas, he pensado en actualizar el sources list con el de debian squeeze, pero en la pagina de elive pone que esto puede ser peligroso, dando problemas, como yo no me entero casi nada de linux os pregunto, creeis que de verdad va a ser negativo actualizar o no tiene porque pasar nada.
Por otro lado si no actualizo las repos supongo que yo puedo individualmente bajarme las ultimas versiones de algunos programas desde su sitio web e instalarlos, lo digo porque con programas que no trae el elive (jdownloader, amule, xmms, etc)lo he hecho y no he tenido problemas,lo puedo hacer con los que SI trae el elive? tendre 1º que quitar la version antigua?
gracias de uno que cada dia se reafirma en que ni a "tito gates, ni a tito jobbs" le doy 1€ nunca mas.

Avatar de Usuario
cerenkov
Forista Medio
Forista Medio
Mensajes: 402
Registrado: Jue Jun 17, 2010 5:23 am
Ubicación: Venezuela

Re: Actualizar repositorios Elive

Mensaje por cerenkov »

Elive siempre ha sido inestable. Por eso yo tengo como 5 años con Debian (estable o Sid; aunque esta última la abandoné) y los repositorios de Elive sólo por engage en Gnome (me cansé del E17). Este repositorio cambió. Ahora es este (la primera línea):

Código: Seleccionar todo

deb http://repository.elivecd.net/ elive main efl elive 

## Provisional (comentar después de usado)

# deb http://ftp.fr.debian.org/debian/ etch main contrib non-free 
# deb-src http://ftp.fr.debian.org/debian/ etch main contrib non-free 
Las líneas comentadas son para instalar cualquier dependencia incumplida y hacer funcionar estos recursos de enlightenment (generalmente se instalan 1 o 2 paquetes; nada que vaya a romper tu sistema). Sin embargo, si tu sistema es de 64 bits no creo que haya soporte.

Te recomendaría que te pasaras a Debian. No obstante, enlightenment esta en los repos oficiales de debian (squeeze); el cual creo haber probado una vez. Sin embargo, hay ciertas cosas que son diferentes en cuanto a su configuración y por eso, si quieres sentirte como en Elive, tendrías que usar los repos de esta última. En el link siguiente señala como habilité engage en mi sistema:

La barra tipo Mac (engage) en GNOME Debian

Saludos

Nota: Acabo de "descubrir" que Etch fue descontinuado este año. Ya no se pueden instalar algunos recursos de Elive por dependencias incumplidas en el actual Debian estable por lo que las líneas comentadas ya no tienen sentido. Si quieres E17 en tu Debian tendrás que tener los repos de squeeze.

Avatar de Usuario
desmolinux
Forista Medio
Forista Medio
Mensajes: 194
Registrado: Vie Jun 04, 2010 10:14 am

Re: Actualizar repositorios Elive

Mensaje por desmolinux »

:shock: , perdona pero no me he enterado de nada, yo preguntaba si podre actualizar con las repos de squeeze y si puedo instalar individualmente aplicaciones.

Avatar de Usuario
cerenkov
Forista Medio
Forista Medio
Mensajes: 402
Registrado: Jue Jun 17, 2010 5:23 am
Ubicación: Venezuela

Re: Actualizar repositorios Elive

Mensaje por cerenkov »

desmolinux escribió::shock: , perdona pero no me he enterado de nada, yo preguntaba si podre actualizar con las repos de squeeze y si puedo instalar individualmente aplicaciones.
En principio si. Hazlo. Lo que pasa es que con Elive, al descontinuar Etch, no se van a instalar algunos paquetes. El que yo extraño es elpanel (Elive panel); muy útil para hacer iconos eap.

Saludos

Avatar de Usuario
Deckon
Moderador
Moderador
Mensajes: 3273
Registrado: Dom Abr 01, 2007 8:00 am
Ubicación: México, Estado de México

Re: Actualizar repositorios Elive

Mensaje por Deckon »

Yo creo que lo mejor seria que instalaras squeeze y metieras luego los repos de elive
Reglamento del Foro | Temas mas Preguntados | WikiEL | GitHub
Linux User #:406092
Manjaro | Asus P8z77-v | i5-2310 | Nvidia GeForce Gt 610 | Hp Ultrabook Folio 13

Avatar de Usuario
cerenkov
Forista Medio
Forista Medio
Mensajes: 402
Registrado: Jue Jun 17, 2010 5:23 am
Ubicación: Venezuela

Re: Actualizar repositorios Elive

Mensaje por cerenkov »

Deckon escribió:Yo creo que lo mejor seria que instalaras squeeze y metieras luego los repos de elive
Nicky mencionó que E17 está en squeeze. Elive es compatible con Etch; ni siquiera con Lenny que es la rama estable actual. Yo tengo Lenny con los repositorios de Elive y hay paquetes que ya no puedo instalar. En consecuencia, la mejor opción sería usar directamente squeeze si se quiere algo totalmente integrado en E17. A mi, en realidad, ya no me interesa E17. Sólo uso el standalone engage de E16.

Saludos

Avatar de Usuario
desmolinux
Forista Medio
Forista Medio
Mensajes: 194
Registrado: Vie Jun 04, 2010 10:14 am

Re: Actualizar repositorios Elive

Mensaje por desmolinux »

al final creo que me voy a esperar, ahora mismo el elive va bien,lo tengo configurado de mi mano y despues de las luchas que he tenido necesito un poco de estabilidad, ademas creo que para fin de año el elive saldra ya bajo squeeze con lo cual sera el momento de actualizar, de todas formas lo que os preguntaba de actualizar aplicaciones, p.ejem. el gimp que es algo antigua, simplemento lo quito con synaptic y me bajo la ultima version desde la pagina y la instalo,no?
Danke.

Avatar de Usuario
Deckon
Moderador
Moderador
Mensajes: 3273
Registrado: Dom Abr 01, 2007 8:00 am
Ubicación: México, Estado de México

Re: Actualizar repositorios Elive

Mensaje por Deckon »

siempre y cunado también instales las dependencias necesarias para el funcionamiento del programa no creo que exista problema. saludos
Reglamento del Foro | Temas mas Preguntados | WikiEL | GitHub
Linux User #:406092
Manjaro | Asus P8z77-v | i5-2310 | Nvidia GeForce Gt 610 | Hp Ultrabook Folio 13

Avatar de Usuario
cerenkov
Forista Medio
Forista Medio
Mensajes: 402
Registrado: Jue Jun 17, 2010 5:23 am
Ubicación: Venezuela

Re: Actualizar repositorios Elive

Mensaje por cerenkov »

Exactamente, pero las dependencias (como 200) son muchas (ya hice la prueba porque estoy interesado en lo mismo que él: una versión más actualizada de Gimp porque la útil herramienta de lazo no tiene la funcionalidad adecuada en la vieja versión de la Debian estable).

El sistema totalmente actualizado involucra casi 1000 paquetes. Por experiencia, no quiero estar arreglando las X (aunque, a veces, nada ha pasado; se actualiza bien) ahora que tengo tantas cosas por hacer.

Saludos

Off topic:
Nota: Me decidí a actualizar el Gimp con los repos de squeeze y se "rompió" el sistema (me recuerda las actualizaciones de Ubuntu :D). Estoy actualizando de Lenny a Squeeze: más de 1200 paquetes. El nautilus no funciona y desapareció casi todo del escritorio. Menos mal que sobrevivió el engage

Editado -- Mié Jun 30, 2010 4:57 pm --

Acabo de actualizar de Lenny a Squeeze. El E17 y engage no está entre sus ofertas. Debe ser un repositorio especial.

Saludos

Avatar de Usuario
desmolinux
Forista Medio
Forista Medio
Mensajes: 194
Registrado: Vie Jun 04, 2010 10:14 am

Re: Actualizar repositorios Elive

Mensaje por desmolinux »

cerenkov, entiendo que tu tambien tienes elive? o debian? viendo tu experiencia me quedare como estoy por ahora, o si me da la virada instalo debian squeeze.

Avatar de Usuario
cerenkov
Forista Medio
Forista Medio
Mensajes: 402
Registrado: Jue Jun 17, 2010 5:23 am
Ubicación: Venezuela

Re: Actualizar repositorios Elive

Mensaje por cerenkov »

desmolinux escribió:cerenkov, entiendo que tu tambien tienes elive? o debian? viendo tu experiencia me quedare como estoy por ahora, o si me da la virada instalo debian squeeze.
No, tuve Elive hace mucho tiempo (como distro secundaria) y cuando vi que Debian, con sus repos, era mejor que ella la abandoné definitivamente. Ya estoy en Squeeze y está muy bueno. Voy a instalar ahora el engage a ver que tal.

Saludos

Nota: Engage ya no se puede instalar en Debian porque hay 2 librerías que no están en los repos (y no quiero buscarlas). Si la nueva Elive, como tu dices, se basa en Squeeze será nuevamente una realidad.

Editado -- Mié Jul 07, 2010 12:30 pm --

Este es el repositorio para instalar E17 en Debian Squeeze:

Código: Seleccionar todo

deb http://packages.enlightenment.org/debian squeeze main extras
Después (como superusuario):

Código: Seleccionar todo

aptitude update
aptitude install e17
Saludos

Avatar de Usuario
desmolinux
Forista Medio
Forista Medio
Mensajes: 194
Registrado: Vie Jun 04, 2010 10:14 am

Re: Actualizar repositorios Elive

Mensaje por desmolinux »

Gracias por el aporte, de todas formas te entendi que el engage no se puede instalar, no? la verdad es que es el mejor dock que he usado.

Avatar de Usuario
cerenkov
Forista Medio
Forista Medio
Mensajes: 402
Registrado: Jue Jun 17, 2010 5:23 am
Ubicación: Venezuela

Re: Actualizar repositorios Elive

Mensaje por cerenkov »

desmolinux escribió:Gracias por el aporte, de todas formas te entendi que el engage no se puede instalar, no? la verdad es que es el mejor dock que he usado.
Si, no se puede instalar porque ya "desmantelaron" la posibilidad de conseguir esas dos librerías que hacen falta para instalar la efl-all. La próxima versión en desarrollo de Elive estará basada en Squeeze; según pude leer en la página de Elive. Sin embargo, el standalone de engage pertenece a E16 y me parece que ya sobre el no trabajan. El engage puede habilitarse como módulo desde E17 (está integrado en el entorno). Lo que podría averiguarse es si ello es posible, por ejemplo, en Gnome o KDE.

Saludos
Última edición por cerenkov el Mié Jul 14, 2010 3:33 pm, editado 1 vez en total.

Avatar de Usuario
desmolinux
Forista Medio
Forista Medio
Mensajes: 194
Registrado: Vie Jun 04, 2010 10:14 am

Re: Actualizar repositorios Elive

Mensaje por desmolinux »

a ver si con suerte actualizan a squeeze antes del final del verano.saludos.

Responder
  • Temas similares
    Respuestas
    Vistas
    Último mensaje